//Include file for 16KHz to 32KHz.  Greatest Common Denominator (GCD) = 1/2.

#define HALFB 0						// Half band flag
#define NUPST 1						// Number of up stages
#define PVTFL 0						// Pivot flag
#define NDWNS 0						// Number of down stages
#define STAGE 1						// Number of total stages 
#define NINPS 300					// Number of imput samples (Should be a even multiple of the GCD 
#define NOUTS 600					// Number of output samples (Should be be the same multiple as above of the GCD

#define INTP1 2
#define DOWN1 1
#define LENG1 195					// LENG1 = length of stage filter
#define PLEN1 98					// PLEN1 = MLEN1/INTP1 (polyphase length)
#define MLEN1 196					// MLEN1 = LENG1 + enough to make even length for polyphase
#define SHFT1 0
#define NINP1 NINPS					// NINPS (...or NOUTS) 300
#define SZIN1 (NINP1 + ((LENG1-1)/INTP1) + 1) // 300 + 194/2 + 1 = 398



#define NINP2 ((NINP1*INTP1)/DOWN1)	// (NINPx*INTPx)/DOWNx =  300*2/1 = 600
#define SZIN2 NINP2 + 1  			// for last decimation stage only = 601


#define OFFS1 (LENG1-1)/(2*DOWN1)	// 


#if OFFS1 < 1
#define OF2S1 1
#else
#define OF2S1 OFFS1
#endif

#define TOFS1 OFFS1					

//#define DOFS1 (NOUTS-OF2S1)		// Offset used to strip filter delays (zeros) off buffers

#define DOFS1 NOUTS
